#include "image_roi_alg.h"

ImageRoiAlgorithm::ImageRoiAlgorithm(void)
{
  pthread_mutex_init(&this->access_,NULL);
}

ImageRoiAlgorithm::~ImageRoiAlgorithm(void)
{
  pthread_mutex_destroy(&this->access_);
}

void ImageRoiAlgorithm::config_update(Config& config, uint32_t level)
{
  this->lock();

  // save the current configuration
  this->config_=config;
  
  this->unlock();
}

// ImageRoiAlgorithm Public API
